KDE 4.6 PyKDE API Reference

- KDE's Python API

# ServiceAccessJob Class Reference

`from PyKDE4.plasma import *`

Inherits: KJob → QObject
Namespace: Plasma

## Detailed Description

ServiceAccessJob plasma/serviceaccessjob.h <Plasma/ServiceAccessJob>

This class is used for asynchronously accessing a job published on a remote system. After calling AccessManager.accessService, monitor this job to track when the remote service is ready to be used, and to obtain the service when finished.

## Methods

| __init__ (self, KUrl location, QObject parent=0)
Plasma.Service | service (self)
| start (self)

## Method Documentation

__init__ | ( | self, |
|  | KUrl | location,
|  | QObject | parent=0
| ) |  |  |

Default constructor

@arg location the location of the service @arg parent the parent object for this service

Plasma.Service service | ( |  | self ) |

start | ( |  | self ) |